https://kotlinlang.org logo
#compose
Title
# compose
a

agrosner

12/08/2021, 1:25 PM
Will future versions of compose be cross compatible with multiple kotlin versions?
s

sindrenm

12/08/2021, 1:36 PM
I believe the reason that's not the case currently is because the compiler plugin APIs aren't stable yet. So if I understood correctly, then yes, once the APIs are stable. 👍
a

agrosner

12/08/2021, 1:42 PM
Makes sense!
But this also could mean if they aren't stable for awhile, is there a plan to release compose with different kotlin version artifacts. Like compose-1.1.0-1.6.0 , compose-1.1.0-1.5.31
s

sindrenm

12/08/2021, 2:33 PM
I don't work on the Compose team, so I can't be certain, but I would doubt that. Sounds like a lot of pain for not that much gain. 😅
💯 1
😂 1